/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-06-12
* Changed:         2023-06-12
*
* */

#ifndef LS_STD_NEWLINE_REGEX_HPP
#define LS_STD_NEWLINE_REGEX_HPP

#include <regex>
#include <string>

namespace ls::std::core
{
  class NewLineRegex
  {
    public:

      ~NewLineRegex();
      [[nodiscard]] static ::std::regex get();

      [[nodiscard]] static ::std::string getStringRepresentation();

    private:

      NewLineRegex();

      [[nodiscard]] static ::std::regex _get();
      [[nodiscard]] static ::std::string _getStringRepresentation();
  };
}

#endif
