/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-06-12
* Changed:         2023-06-12
*
* */

#include <ls-std/core/regex/NewLineRegex.hpp>

using ls::std::core::NewLineRegex;
using std::regex;
using std::string;

NewLineRegex::~NewLineRegex() = default;

regex NewLineRegex::get()
{
  return NewLineRegex::_get();
}

string NewLineRegex::getStringRepresentation()
{
  return NewLineRegex::_getStringRepresentation();
}

NewLineRegex::NewLineRegex() = default;

regex NewLineRegex::_get()
{
  static auto expression = regex{NewLineRegex::_getStringRepresentation()};
  return expression;
}

string NewLineRegex::_getStringRepresentation()
{
  static string representation = R"lit((\r\n|\r|\n))lit";
  return representation;
}
