/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-06-12
* Changed:         2023-06-12
*
* */

#include <gtest/gtest.h>
#include <ls-std/ls-std-core.hpp>

using ls::std::core::NewLineRegex;
using std::regex_match;
using testing::Test;

namespace
{
  class NewLineRegexTest : public Test
  {
    public:

      NewLineRegexTest() = default;
      ~NewLineRegexTest() override = default;
  };

  TEST_F(NewLineRegexTest, get)
  {
    ASSERT_TRUE(regex_match("\n", NewLineRegex::get()));
    ASSERT_TRUE(regex_match("\r\n", NewLineRegex::get()));
  }

  TEST_F(NewLineRegexTest, getStringRepresentation)
  {
    ASSERT_STREQ(R"lit((\r\n|\r|\n))lit", NewLineRegex::getStringRepresentation().c_str());
  }
}
